<!-- Button trigger modal -->
<div class="container">
  <div class="row">
    <div class="col-sm-3">
      <button
        type="button"
        class="btn btn-primary"
        data-bs-toggle="modal"
        data-bs-target="#newVehicleModal"
        (click)="loadNewModal()"
      >
        Add New Vehicle Info
      </button>
    </div>
  </div>
</div>

<!-- Available Stock Modal -->
<div
  class="modal fade"
  id="exampleModal"
  tabindex="-1"
  aria-labelledby="exampleModalLabel"
  aria-hidden="true"
>
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">
          {{modalHeader}}
        </h5>
        <button
          type="button"
          class="btn-close"
          data-bs-dismiss="modal"
          aria-label="Close"
        ></button>
      </div>
      <div class="modal-body">
        <li> Variant : {{modalBodyContent.variantName}}</li>
        <li> Fuel : {{modalBodyContent.fuelType}}</li>
        <li> Transmission: {{modalBodyContent.transmission}}</li>
        <li> Engine: {{modalBodyContent.engineModel}}</li>
        <table class="table table-success">
            <thead>
                <tr>
                  <th scope="col">Color</th>
                  <th scope="col">Availablity</th>
                </tr>
              </thead>
              <tbody>
                <tr *ngFor="let colorItem of modalBodyContent.colors" >
                  
                  <td>{{colorItem.colorName}}</td>
                  <td>{{colorItem.stock }}</td>
                  
                </tr>
                </tbody>
                <tfoot>
                  <th>Total</th>
                  <th>{{modalBodyContent.variantTotalAvailableStock}}</th>
                  </tfoot>
              </table>

      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">
          Close
        </button>
      </div>
    </div>
  </div>
</div>

<!-- Delete a Row Modal -->
<div
  class="modal fade"
  id="deleteModal"
  tabindex="-1"
  aria-labelledby="deleteModalLabel"
>
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="deleteModalLabel">Delete Confirmation</h5>
        <button
          type="button"
          class="btn-close"
          data-bs-dismiss="modal"
          aria-label="Close"
        ></button>
      </div>
      <div class="modal-body">
        <div class="alert alert-danger">
          <p>Can you confirm to Delete</p>
          <p>
          
            {{ modalBodyContent.vehicleId}} {{ modalBodyContent.vehicleName }} -- {{ modalBodyContent.model }}-
            
          </p>
        </div>
        <div class="alert alert-primary" role="alert">
          Total Available -<a href="#" class="alert-link">5</a>
        </div>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">
          Close
        </button>
        <button type="submit" class="btn btn-danger" (click)="deleteVehicle(modalBodyContent.vehicleId)" data-bs-dismiss="modal">Delete</button>
      </div>
    </div>
  </div>
</div>

<!--Edit Vehicle Stock Modal -->
<div
  class="modal fade"
  id="editModal"
  tabindex="-1"
  aria-labelledby="editModalLabel"
  aria-hidden="true"
>
  <div class="modal-dialog" >
    <div class="modal-content" style="width: 700px;">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">
          {{ modalElements.title }} {{ modalBodyContent.model }}
        </h5>
        <button
          type="button"
          class="btn-close"
          data-bs-dismiss="modal"
          aria-label="Close"
        ></button>
      </div>
      <div class="modal-body">
        <app-vehicle-edit-form #vehicleEditForm *ngIf="editComponent" [vehicleInfo]="modalBodyContent" ></app-vehicle-edit-form>
        <!-- <app-edit-modal-form
          [vehicleInfo]="modalBodyContent"
          [action]="action"
        ></app-edit-modal-form> -->
      </div>
      <div class="modal-footer"></div>
    </div>
  </div>
</div>

<!-- New Vehicle Stock Modal -->
<div
  class="modal fade"
  id="newVehicleModal"
  tabindex="-1"
  aria-labelledby="newVehicleModalLabel"
  aria-hidden="true"
>
  <div class="modal-dialog" >
    <div class="modal-content" style="width: 700px;">
      <div class="modal-header">
        <h5 class="modal-title" id="newVehicleModalLabel">
          Insert a New Vehicle Info
        </h5>
        <button
          type="button"
          class="btn-close"
          data-bs-dismiss="modal"
          aria-label="Close"
        ></button>
      </div>
      <div class="modal-body">
        <app-vehicle-form></app-vehicle-form>
      </div>
      <div class="modal-footer"></div>
    </div>
  </div>
</div>


<!-- Data Table starts -->
<div class="container" style="padding: 10px">
  <div class="row">
    <div class="col"  *ngIf="!displayTable">
      <div class="alert alert-danger">
        <strong>Content is not loaded. </strong> Please check the service connectivity..!
      </div>
    </div>


    <div class="col"  *ngIf="displayTable">
      <table datatable id="example" class="table table-hover" width="100%">
        <thead>
          <tr>
            <th>Brand</th>
            <th>Model</th>
            <th>Year</th>
            <th>Availablity</th>
             <th>Action</th>
          </tr>
        </thead>
        <tbody>
          <tr *ngFor="let item of vehicleInfo">
            <td >
              {{ item.vehicleName }}
            </td>
            <td >
              {{ item.model }}
            </td>
            <td>
              {{ item.makeYear }}
            </td>
           

            <td>
              <div
                class="alert alert-success"
                [ngClass]="{
                  'alert-danger': item.vehicleTotalAvailableStock === 0,
                  'alert-success': item.vehicleTotalAvailableStock !== 0
                }"
              >
              <div class="accordion" [id]="'accordionExample'+item.vehicleId">
                <div class="accordion-item">
                  <h2 class="accordion-header" [id]="'heading_'+item.vehicleId">
                    <button class="accordion-button" type="button" data-bs-toggle="collapse" [attr.data-bs-target]="'#collapse'+item.vehicleId"  [attr.aria-controls]="'collapseOne'+item.vehicleId" aria-expanded="false">
                     <strong>Available -  {{ item.vehicleTotalAvailableStock }}</strong>
                    </button>
                  </h2>
                  <div [id]="'collapse'+item.vehicleId" class="accordion-collapse collapse " [attr.aria-labelledby]="'heading_'+item.vehicleId" [attr.data-bs-parent]="'#accordionExample'+item.vehicleId">
                    <div class="accordion-body">
                        <table class="table table-success table-striped table-hover">
                            <thead>
                                <tr>
                                  
                                  <th scope="col">Variant Name</th>
                                  <th scope="col">Availablity</th>
                                 
                                </tr>
                              </thead>
                              <tbody>
                                <tr *ngFor="let variantItem of item.variants" 
                                data-bs-toggle="modal"
                                data-bs-target="#exampleModal"
                                (click)="loadModal(item.model,variantItem)">
                                  
                                  <td>{{variantItem.variantName}}</td>
                                  <td>{{ variantItem.variantTotalAvailableStock }}</td>
                                  
                                </tr>
                                </tbody>
                            
                              </table>
                    </div>
                  </div>
                </div>
              </div>
              </div>
            </td>
            <td>
              <button
                data-bs-toggle="modal"
                data-bs-target="#editModal"
                type="button"
                class="btn btn-warning"
                (click)="loadEditModal(item) "
              >
                EDIT
              </button>
              <span class="spacer"> &nbsp;&nbsp;&nbsp; </span>
              <button
                data-bs-toggle="modal"
                data-bs-target="#deleteModal"
                type="button"
                class="btn btn-danger"
                (click)="loadDeleteModal(item)"
              >
                DELETE
              </button>
            </td>
          </tr>
        </tbody>
      </table>
    </div>
  </div>
</div>
